package hr.fer.zemris.seminar.ajnc;

public class AIprotivnik {
	
	public boolean rukaSadrziAs;
	
	public double cardCount;	
	
	private double[] utjecajKarata;
	private int[] odluke;
	private double[] kriticneVrijednosti;
	
	public AIprotivnik(double[] utjecajKarata, int[] odluke,
			double[] kriticneVrijednosti) {
		super();
		this.utjecajKarata = utjecajKarata;
		this.odluke = odluke;
		this.kriticneVrijednosti = kriticneVrijednosti;
		this.cardCount = 0.;
	}
	
	public void changeCardCount(int cardDrawn) {
		this.cardCount += this.utjecajKarata[cardDrawn];
	}
	
	public boolean odluciPoBodovima(int brojBodova) {
		if (brojBodova >= 21) return false;
		
		if ( brojBodova < 12) return true;
		
		if ( this.odluke[brojBodova-12] == 0 ) return false;
		if ( this.odluke[brojBodova-12] == 1 ) return true;
		
		if ( this.odluke[brojBodova-12] == 2) return
			odluciPoCountu(brojBodova);
		return false;
	}

	private boolean odluciPoCountu(int brojBodova) {
		if (this.cardCount > this.kriticneVrijednosti[brojBodova-12])
			return true;
		return false;
	}
}
